package com.elitesland.security.config;

import com.elitesland.system.entity.UserDO;
import lombok.val;
import org.springframework.data.domain.AuditorAware;
import org.springframework.security.core.context.SecurityContextHolder;
import org.springframework.stereotype.Component;

import java.util.Optional;

/**
 * @author Mir
 * @date 3/17/2020
 */
@Component("auditorAware")
public class SpringSecurityAuditorAware implements AuditorAware<Long> {
    /**
     * 从SecurityContext中，获取当前登录用的用户ID
     *
     * @return 当前登录用户的用户ID
     */
    @Override
    public Optional<Long> getCurrentAuditor() {
        val details = SecurityContextHolder.getContext().getAuthentication().getDetails();
        if (details instanceof UserDO) {
            return Optional.of(((UserDO) details).getId());
        }
        return Optional.of(0L);
    }
}
