package com.elitesland.system.controller;

import com.elitesland.core.base.ApiResult;
import com.elitesland.core.base.PagingVO;
import com.elitesland.system.entity.CatCodeDO;
import com.elitesland.system.param.CatCodeQueryParam;
import com.elitesland.system.service.CatCodeService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.val;
import org.springframework.web.bind.annotation.*;

/**
 * <pre>
 * [功能说明]
 * </pre>
 *
 * @author Mir
 * @date 2020/6/25
 */
@RestController
@RequestMapping("/sys/codes")
@Api(value = "系统分类码维护", tags = {"系统分类码维护"})
@RequiredArgsConstructor
public class CatCodeController {

    private final CatCodeService catCodeService;

    @PostMapping("/q")
    @ApiOperation("分类码列表")
    public ApiResult<PagingVO<CatCodeDO>> listCodes(@RequestBody CatCodeQueryParam param) {
        val ret = catCodeService.search(param);
        return ApiResult.ok(ret);
    }

    @PostMapping
    @ApiOperation("创建分类码")
    public ApiResult<Object> createCode(@RequestBody CatCodeDO code) {
        catCodeService.createCode(code);
        return ApiResult.ok();
    }

    @PutMapping
    @ApiOperation("更新分类码")
    public ApiResult<Object> updateCode(@RequestBody CatCodeDO code) {
        catCodeService.updateCode(code);
        return ApiResult.ok();
    }
}
