package com.elitesland.system.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Embeddable;
import java.io.Serializable;

/**
 * <p>
 * 分类码复合主键
 * </p>
 *
 * @author Mir
 * @date 2020/5/19
 */
@Embeddable
@Data
public class CatCodeKey implements Serializable {

    private static final long serialVersionUID = 1020446498764362502L;

    public CatCodeKey() {
    }

    @ApiModelProperty("系统码")
    @Column(columnDefinition = "varchar(8) default '' comment '系统分类码，对应中台模块'")
    private String sysCode;

    @ApiModelProperty("模块码")
    @Column(columnDefinition = "varchar(8) default '' comment '模块码，中台模块下的子分类'")
    private String modCode;


    @ApiModelProperty("分类码")
    @Column(columnDefinition = "varchar(16) default '' comment '分类码'")
    private String catCode;
}
