package com.elitesland.system.repo;

import cn.hutool.core.util.StrUtil;
import com.elitesland.system.entity.QCatCodeDO;
import com.elitesland.system.param.CatCodeQueryParam;
import com.querydsl.core.types.ExpressionUtils;
import com.querydsl.core.types.Predicate;
import lombok.val;
import org.apache.commons.collections4.CollectionUtils;


/**
 * <p>
 * 功能说明
 * </p>
 *
 * @author Mir
 * @date 2020/6/29
 */
public class CatCodeRepoProc {

    public static Predicate where(CatCodeQueryParam param){
        val catCode = QCatCodeDO.catCodeDO;

        com.querydsl.core.types.Predicate predicate = catCode.isNotNull().or(catCode.isNull());
        predicate = StrUtil.isBlank(param.getSys()) ? predicate : ExpressionUtils.and(predicate, catCode.key.sysCode.like("%" + param.getSys() + "%"));
        predicate = StrUtil.isBlank(param.getMod()) ? predicate : ExpressionUtils.and(predicate, catCode.key.modCode.like("%" + param.getMod() + "%"));
        predicate = StrUtil.isBlank(param.getKey()) ? predicate : ExpressionUtils.and(predicate, catCode.key.catCode.like("%" + param.getKey() + "%"));
        predicate = StrUtil.isBlank(param.getDesc()) ? predicate : ExpressionUtils.and(predicate, catCode.description.like("%" + param.getDesc() + "%"));
        predicate = CollectionUtils.isEmpty(param.getKeys()) ? predicate : ExpressionUtils.and(predicate, catCode.key.catCode.in(param.getKeys()));

        return predicate;

    }
}
