package com.elitesland.system.service;

import com.elitesland.core.base.PagingVO;
import com.elitesland.system.entity.CatCodeDO;
import com.elitesland.system.entity.CatCodeKey;
import com.elitesland.system.param.CatCodeQueryParam;
import com.elitesland.system.vo.CatCodeComboVo;

import java.util.List;
import java.util.Map;
import java.util.Optional;

/**
 * <pre>
 * [功能说明]
 * </pre>
 *
 * @author Mir
 * @date 2020/6/25
 */
public interface CatCodeService {

    /**
     * 检索分类码
     * @param param 分类查询、分页和排序对象
     * @return 分页结果集
     */
    PagingVO<CatCodeDO> search(CatCodeQueryParam param);

    /**
     * 根据关键字段，返回对应的分类码
     * @param key 关键字段
     * @return 分类码对象
     */
    Optional<CatCodeDO> findOne(CatCodeKey key);

    /**
     * 创建分类码
     *
     * @param code 分类码对象
     */
    void createCode(CatCodeDO code);

    /**
     * 更新分类码
     *
     * @param code 分类码对象
     */
    void updateCode(CatCodeDO code);

    /**
     * 获取用于下来选择的分类码
     *
     * @param sys
     * @param mod
     * @return
     */
    List<CatCodeComboVo> listCodeCombos(String sys, String mod);

    /**
     * 获取分类码的Map对应列表
     * @param sys
     * @param mod
     * @return
     */
    Map<String, String> getCodeMap(String sys, String mod);
}
